Export logs
Export matching log entries as a gzip-compressed file. When dryRun=true, returns a JSON preflight estimate instead of streaming the file.
GET
https://example.com
/
api
/
indexes
/
{indexId}
/
logs
/
export
Export logs
curl --request GET \
--url https://example.com/api/indexes/{indexId}/logs/export \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://example.com/api/indexes/{indexId}/logs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/indexes/{indexId}/logs/export"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/indexes/{indexId}/logs/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "better-auth.session_token=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}"<string>"{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}Authorizations
Path Parameters
Minimum string length:
1Query Parameters
Required range:
x >= 0Required range:
x >= 0Available options:
json, csv, text Response
Gzip-compressed export stream. Content-Type reflects the requested format (application/x-ndjson for JSON, text/csv for CSV, text/plain for text).
The response is of type file.
⌘I
Export logs
curl --request GET \
--url https://example.com/api/indexes/{indexId}/logs/export \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://example.com/api/indexes/{indexId}/logs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/indexes/{indexId}/logs/export"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/indexes/{indexId}/logs/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "better-auth.session_token=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}"<string>"{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}
